/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                   TopView.h                    +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef DRAW_VIEW_H
#define DRAW_VIEW_H

#include <interface/View.h>

#define GO_BUTTON			'doit'

class TopView : public BView {
	public:
						TopView(BRect frame, char *name); 
						~TopView( void );
		
		virtual	void	AttachedToWindow( void );
		virtual	void	AllAttached(void);
		virtual	void	Draw(BRect updateRect);
		virtual void	MessageReceived(BMessage* message);
		virtual void	MouseDown(BPoint where);
		virtual void	MouseUp(BPoint where);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *msg);

	private:
		BBitmap			*backBit;
		BBitmap			*onBitmap;		
		
		bool			fMouseDown;
		BPoint			fMouseOffset;
};

#endif
