/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                    OMenu.h                     +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef O_MENU_H
#define O_MENU_H

#ifdef BUILDING_OLIB
	#define OLIB_IMPEXP	__declspec(dllexport)
#else
	#define OLIB_IMPEXP	__declspec(dllimport)
#endif

#include <interface/Menu.h>

#include "OMenuBar.h"

class OLIB_IMPEXP OMenu : public BMenu {
	public:
				OMenu(const char *name, BView *parentView = NULL, menu_layout layout = B_ITEMS_IN_COLUMN);
				~OMenu( void );

		virtual	void	AttachedToWindow( void );	// Hook will also notify the parent view to set off mouse move
		virtual void	AllAttached(void);			// Hook gets called after AttachedToWindow()

	private:
		OMenuBar		*mBar;
};


#endif	// O_MENU_H
