/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 OStringView.h                  +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef O_STRING_VIEW_H
#define O_STRING_VIEW_H

#ifdef BUILDING_OLIB
	#define OLIB_IMPEXP	__declspec(dllexport)
#else
	#define OLIB_IMPEXP	__declspec(dllimport)
#endif

#include <interface/StringView.h>

class OLIB_IMPEXP OStringView : public BStringView {
	public:
				OStringView(BRect frame, const char *name,
					const char *text,
					uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP,
					uint32 flags = B_WILL_DRAW);
				~OStringView( void );
				
		virtual void	AllAttached(void);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *a_message);
					
	private:
		// NONE
};

#endif	// O_STRING_VIEW_H
