/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                  Colors.h                      +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef _COLORS_H
#define _COLORS_H


// Standard grey colors
const rgb_color	whiteCol = {255, 255, 255, 255};
const rgb_color	lightGreyCol = {235, 235, 235, 255};
const rgb_color	greyCol = ui_color(B_PANEL_BACKGROUND_COLOR);	// {216,216,216,255}
const rgb_color	greyColShade = {220, 220, 220, 255};
const rgb_color	greyDawn = {205, 205, 205, 255};
const rgb_color	greyShadow = {180, 180, 180, 255};
const rgb_color	darkGreyCol = {152, 152, 152, 255};
const rgb_color	veryDarkGrey = {96, 96, 96, 255};
const rgb_color	blackCol = {0, 0, 0, 255};

// Other colors
const rgb_color	greenCol = {0, 160, 0, 255};
const rgb_color	redCol = {220, 0, 70, 255};
const rgb_color	yelCol = {255, 203, 0, 255};
const rgb_color	blueCol = {0, 90, 130, 255};
// const rgb_color lightBlue = {150, 200, 250, 255};
// const rgb_color lilaCol = {145, 0, 85, 255};

#endif	// _COLORS_H
