/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                  OCheckBox.h                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
#ifndef O_CHECK_BOX_H
#define O_CHECK_BOX_H

#ifdef BUILDING_OLIB
	#define OLIB_IMPEXP	__declspec(dllexport)
#else
	#define OLIB_IMPEXP	__declspec(dllimport)
#endif

#include <interface/CheckBox.h>

class OLIB_IMPEXP OCheckBox : public BCheckBox {
	public:
				OCheckBox(BRect frame, const char *name,
					const char *label,
					BMessage *message,
					uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP,
					uint32 flags = B_WILL_DRAW | B_NAVIGABLE);
				~OCheckBox( void );

		virtual void	AllAttached(void);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *a_message);
							
	private:
		// NONE
};

#endif	// O_CHECK_BOX_H
