/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                  OMenu.cpp                     +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define BUILDING_OLIB

#include "OMenu.h"

OMenu::OMenu(const char *name, BView *parentView, menu_layout layout)
	: BMenu(name, layout)
{
	BFont	font(be_plain_font);
	if(font.Size() > 12.0) font.SetSize(12.0);
	SetFont(&font);
	
	if(parentView != NULL)
		mBar = (OMenuBar *)parentView;
}


OMenu::~OMenu(void)
{

}				

/* =============================================================== */

void OMenu::AttachedToWindow(void)
{
	/* --- Prevent Window-Move in parent MenuBar --- */
	if(mBar != NULL)
		mBar->SetMouseOff();

	BMenu::AttachedToWindow();
}


void OMenu::AllAttached(void)
{
	BMenu::AllAttached();
}
